Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.message
Class SOAPFaultBuilder

    java.lang.Object
      |
      +--org.xml.sax.helpers.DefaultHandler
            |
            +--org.apache.axis.message.SOAPHandler
                  |
                  +--org.apache.axis.message.SOAPFaultBuilder

All Implemented Interfaces:
  Callback, org.xml.sax.ContentHandler, org.xml.sax.DTDHandler, org.xml.sax.EntityResolver, org.xml.sax.ErrorHandler

public class SOAPFaultBuilder
extends SOAPHandler
implements Callback

Build a Fault body element.

Author:
  Sam Ruby (rubys@us.ibm.com), Glen Daniels (gdaniels@macromedia.com), Tom Jordahl (tomj@macromedia.com)

Field Summary
`protected DeserializationContext` | `context`
`protected SOAPFault` | `element`
`protected java.lang.String` | `faultActor`
`protected java.lang.String` | `faultClassName`
`protected QName` | `faultCode`
`protected org.w3c.dom.Element[]` | `faultDetails`
`protected java.lang.String` | `faultString`

Fields inherited from class org.apache.axis.message.SOAPHandler
`myElement`

Constructor Summary
`SOAPFaultBuilder(SOAPFault element, DeserializationContext context)`

Method Summary
`void` | `endElement(java.lang.String namespace, java.lang.String localName, DeserializationContext context)` Final call back where we can populate the exception with data.
`void` | `onEndChild(java.lang.String namespace, java.lang.String localName, DeserializationContext context)`
`SOAPHandler` | `onStartChild(java.lang.String namespace, java.lang.String name, java.lang.String prefix, org.xml.sax.Attributes attributes, DeserializationContext context)`
`void` | `setValue(java.lang.Object value, java.lang.Object hint)`

Methods inherited from class org.apache.axis.message.SOAPHandler
`makeNewElement, startElement`

Methods inherited from class org.xml.sax.helpers.DefaultHandler
`characters, endDocument, endElement, endPrefixMapping, error, fatalError, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, setDocumentLocator, skippedEntity, startDocument, startElement, startPrefixMapping, unparsedEntityDecl, warning`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### element

    protected SOAPFault element

### context

    protected DeserializationContext context

### faultClassName

    protected java.lang.String faultClassName

### faultCode

    protected QName faultCode

### faultString

    protected java.lang.String faultString

### faultActor

    protected java.lang.String faultActor

### faultDetails

    protected org.w3c.dom.Element[] faultDetails

Constructor Detail

### SOAPFaultBuilder

    public SOAPFaultBuilder(SOAPFault element,
                            DeserializationContext context)

Method Detail

### endElement

    public void endElement(java.lang.String namespace,
                           java.lang.String localName,
                           DeserializationContext context)
                    throws org.xml.sax.SAXException

  Final call back where we can populate the exception with data.
  Overrides:
    `endElement` in class `SOAPHandler`

### onStartChild

    public SOAPHandler onStartChild(java.lang.String namespace,
                                    java.lang.String name,
                                    java.lang.String prefix,
                                    org.xml.sax.Attributes attributes,
                                    DeserializationContext context)
                             throws org.xml.sax.SAXException

  Overrides:
    `onStartChild` in class `SOAPHandler`

### onEndChild

    public void onEndChild(java.lang.String namespace,
                           java.lang.String localName,
                           DeserializationContext context)
                    throws org.xml.sax.SAXException

  Overrides:
    `onEndChild` in class `SOAPHandler`

### setValue

    public void setValue(java.lang.Object value,
                         java.lang.Object hint)

  Specified by:
    `setValue` in interface `Callback`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache XML Project. All Rights Reserved.